package com.zcloud.domain.domain.gateway;

import com.zcloud.domain.domain.model.ProjectTaskE;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2026-01-29 11:28:41
 */
public interface ProjectTaskGateway {

    /**
     * 新增
     */
    Boolean add(ProjectTaskE projectTaskE);

    /**
     * 修改
     */
    Boolean update(ProjectTaskE projectTaskE);

    /**
     * 删除
     */
    Boolean deletedProjectTaskById(Long id);

    Boolean deletedProjectTaskByIds(Long[] id);
}

